<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <!-- Custom styles -->
    <link rel="stylesheet" href="style.css" type="text/css"> 
</head>
<body>
    <!-- Nav Bar -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="#">TripSmart</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
    
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="/">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="destinations.html">Destinations</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="pointsofinterest.html">Points of Interest</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="hotels.html">Hotels</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="about.html">About</a>
                </li>
            </ul>
        </div>
    </nav>

    <!-- Points of Interest -->
    <div class="container">
        <div class="row">
            <div class="col">
                <h2>Popular Attractions</h2>
                <!-- Param: points_of_interest (type: list) 
                     We are given a list of all of the points of interest returned
                     by the API call, which we then iterate through and create cards
                     for each of them. -->
                {% for poi in points_of_interest %}
                    <div class="card" style="max-width: 50%;">
                        <div class="card-body">
                            <h5 class="card-title">Point of Interest</h5>
                            <!-- In case no photo url was provided -->
                            {% if poi.photo_url %}
                                <img src="{{ poi.photo_url }}" alt="Photo" style="max-width: 100%;">
                                {% else %}
                                    <p>No photo available</p>
                                {% endif %}
                            <p>
                                <strong>{{ poi.name }}</strong><br>
                                Vicinity: {{ poi.vicinity }}<br>
                                Rating: {{ poi.rating }}<br>
                                Total Ratings: {{ poi.user_ratings_total }}<br>
                            </p>                              
                            <a href="" class="btn btn-primary">Explore Hotels and Accommodations</a>
                        </div>
                    </div>
                {% endfor %}                     
            </div>
        </div>
    </div>
</body>
</html>